cdac.medinfo.model

## Class AdvanceDirectives

- java.lang.Object
- - cdac.medinfo.model.AdvanceDirectives

-     public class AdvanceDirectives
      extends java.lang.Object

  This class specify Advance Directives Section Details. This section contains data defining the patient's advance directives and any reference to supporting documentation.

  This class has the following attributes:

  1. directive (String)
  2. description (String)
  3. verification (String)
  4. verification Date (String)
  5. supporting Document (String)
  6. media Type (String)
  7. supporting Document Link (String)
  8. effective Times (EffectiveDateTime)

  This class provides accessors and mutators for the elements mentioned above.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `AdvanceDirectives()` Constructs an object of Advance Directives.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getDescription()` Returns the Description.
    `java.lang.String` | `getDirective()` Returns the Directive.
    `EffectiveDateTime` | `getEffectiveTimes()` Returns the Effective Times.
    `java.lang.String` | `getMediaType()` Return the Media Type.
    `java.lang.String` | `getSupportingDocument()` Returns the Supporting Document.
    `java.lang.String` | `getSupportingDocumentLink()` Returns the Supporting Document Link.
    `java.lang.String` | `getVerification()` Returns the Verification.
    `java.lang.String` | `getVerificationDate()` Returns the Verification Date.
    `void` | `setDescription(java.lang.String description)` Sets the Description.
    `void` | `setDirective(java.lang.String directive)` Sets the Directive.
    `void` | `setEffectiveTimes(EffectiveDateTime effectiveTimes)` Sets the Effective Times.
    `void` | `setMediaType(java.lang.String mediaType)` Sets the Media Type.
    `void` | `setSupportingDocument(java.lang.String supportingDocument)` Sets the Supporting Document.
    `void` | `setSupportingDocumentLink(java.lang.String supportingDocumentLink)` Sets the Supporting Document Link.
    `void` | `setVerification(java.lang.String verification)` Sets the Verification.
    `void` | `setVerificationDate(java.lang.String verificationDate)` Sets the Verification Date.

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### AdvanceDirectives

          public AdvanceDirectives()

      Constructs an object of Advance Directives.

  - ### Method Detail

    - #### getDirective

          public java.lang.String getDirective()

      Returns the Directive.
      Returns:
        the directive

    - #### setDirective

          public void setDirective(java.lang.String directive)

      Sets the Directive.
      Parameters:
        `directive` - Specifies the advance directive name.

    - #### getDescription

          public java.lang.String getDescription()

      Returns the Description.
      Returns:
        the description

    - #### setDescription

          public void setDescription(java.lang.String description)

      Sets the Description.
      Parameters:
        `description` - Specifies the advance directive description.

    - #### getVerification

          public java.lang.String getVerification()

      Returns the Verification.
      Returns:
        the verification

    - #### setVerification

          public void setVerification(java.lang.String verification)

      Sets the Verification.
      Parameters:
        `verification` - Specifies the verification of an advance directive.

    - #### getVerificationDate

          public java.lang.String getVerificationDate()

      Returns the Verification Date.
      Returns:
        the verificationDate

    - #### setVerificationDate

          public void setVerificationDate(java.lang.String verificationDate)

      Sets the Verification Date.
      Parameters:
        `verificationDate` - Specifies the verification date of an advance directive.

    - #### getSupportingDocument

          public java.lang.String getSupportingDocument()

      Returns the Supporting Document.
      Returns:
        the supportingDocument

    - #### setSupportingDocument

          public void setSupportingDocument(java.lang.String supportingDocument)

      Sets the Supporting Document.
      Parameters:
        `supportingDocument` - Specifies the supporting document name of advance directive.

    - #### getMediaType

          public java.lang.String getMediaType()

      Return the Media Type.
      Returns:
        the mediaType

    - #### setMediaType

          public void setMediaType(java.lang.String mediaType)

      Sets the Media Type.
      Parameters:
        `mediaType` - Specifies the media type of supporting document

    - #### getSupportingDocumentLink

          public java.lang.String getSupportingDocumentLink()

      Returns the Supporting Document Link.
      Returns:
        the supportingDocumentLink

    - #### setSupportingDocumentLink

          public void setSupportingDocumentLink(java.lang.String supportingDocumentLink)

      Sets the Supporting Document Link.
      Parameters:
        `supportingDocumentLink` - Specifies the link of supporting document for advance directive

    - #### getEffectiveTimes

          public EffectiveDateTime getEffectiveTimes()

      Returns the Effective Times.
      Returns:
        the effectiveTimes

    - #### setEffectiveTimes

          public void setEffectiveTimes(EffectiveDateTime effectiveTimes)

      Sets the Effective Times.
      Parameters:
        `effectiveTimes` - Specifies the effective time of the advance directive.